// 
// mkpatch-directory-filter utility
//
// Copyright (C) 2002 Karel Gardas
//
// See the file "COPYING" for further information about
// the copyright and warranty status of this work.
// 

#include <iostream>
#include <string>
#include <fstream>

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <assert.h>

using namespace std;

int
main(int argc, char* argv[])
{
    assert(argc == 4);
    string original = argv[1];
    string modified = argv[2];
    string files = argv[3];
    //cerr << argv[0] << " " << original << " " << modified << " " << files << endl;
    ifstream fin;
    fin.open(files.c_str(), ios::in);
    string orig_dir;
    string mod_dir;
    while (fin >> orig_dir
	   && fin >> mod_dir
	   && fin.good()) {
	//cerr << orig_dir << " <-> " << mod_dir << endl;
	struct stat st1;
	struct stat st2;
	int x = lstat((original + "/" + orig_dir).c_str(), &st1);
	//cerr << "x1: " << x << endl;
	x = lstat((modified + "/" + mod_dir).c_str(), &st2);
	//cerr << "x2: " << x << endl;
	if (st1.st_mode != st2.st_mode) {
	    //cerr << "permissions are different => output" << endl;
	    cout << orig_dir << " " << mod_dir << endl;
	    continue;
	}
    }
    return 0;
}
