#!/bin/sh

# This script requires you to have already set up a default archive
# and id.  It will create a category called hello in your default
# archive.  It will be removed at the end, but if something breaks,
# you can manually clean up with
#
#   rm -rf hello/ hello--german/ hello-join/
#   arx delete-category hello
#


mkdir hello
cd hello
echo "echo Hello, World" > Hello
echo "Summary: initial" > ./`arx create-version --non-interactive hello--main--1.0`
arx add Hello
arx commit

echo "echo Hello World" > Hello
echo "Summary: Removed a comma" > `arx make-log --non-interactive`
arx commit

echo "echo Hello World.  Goodbye" > Hello
echo "Summary: Added goodbye" > `arx create-version --non-interactive hello--main--1.1`
arx commit

# Now make the german branch

cd ..
arx create-branch --non-interactive hello--main--1.0 hello--german--1.0 hello--german
cd hello--german
echo "Summary: German version" > `arx make-log --non-interactive`
arx commit

echo "Guten Tag" > Hello
echo "Summary: Translated" > `arx make-log --non-interactive`
arx commit

arx create-branch --non-interactive --in-place hello--french--1.0

echo "Bonjour" > Hello
echo "Summary: Translated" > `arx make-log --non-interactive`
arx commit

cd ..

# Put in a join-branch command for the heck of it

arx join-branch hello hello-join hello--german--1.0--base-0

# Clean up

rm -rf hello/ hello--german/ hello-join/
arx delete-category hello
